>> MIB - Management Information Base
>> Table: wlanScanTable - (.1.3.6.1.4.1.272.4.46.26.1)
Description: The wlanScanTable does contain the configuration parameter for scanning.
wlanScanTable
OID | Name | Type | Access
.1 | WlanIf | INTEGER | R
.2 | WlanIfType | ENUM | R
.3 | Type | ENUM | RW
.4 | OperState | ENUM | R
.5 | Options | BITS | RW
.6 | MaxDuration | INTEGER | RW
.7 | DwellActiveMin | INTEGER | RW
.8 | DwellActiveMax | INTEGER | RW
.9 | DwellPassiveMin | INTEGER | RW
.10 | DwellPassiveMax | INTEGER | RW
.11 | HomeDwellMin | INTEGER | RW
.12 | HomeDwellMax | INTEGER | RW
.13 | Interval | INTEGER | RW
.14 | LastScan | Date | R
.15 | ClientThreshold | INTEGER | RW
.16 | ClientRoamProf | ENUM | RW
WlanIf
The index of WLAN interface the table entry corresponds to.
WlanIfType
This value specify that the scan properties is used for AP, client or wds.
Type
This variable specifies how to perform a WLAN scan. off := disable each kind of scanning (default in AP-Mode) background := The scan takes place during an active connection, than means the radio hops between home and foreign channel (default in Client-Mode) foreground := The current connection is interrupted while scanning
OperState
Current status of the scanning off := No scan scheduled or in progress idle := Scheduled but not yet started scanning := The radio is currently in scan mode
Options
passive := enable passive scan-mode (default in AP-Mode) active := enable active scan-mode, Prop-Request will be send out (default in Client-Mode) dot11a := enable scanning on 5Ghz Channels (default) dot11bg := enable scanning on 2,4Ghz Channels (default)
MaxDuration
Maximal duration in ms how long a scan should take (default 50s).
DwellActiveMin
Minimal duration in ms how long we dwell on a channel during a active scan.
DwellActiveMax
Maximal duration in ms how long we dwell on a channel during a active scan.
DwellPassiveMin
Minimal duration in ms how long we dwell on a channel during a passive scan.
DwellPassiveMax
Maximal duration in ms how long we dwell on a channel during a passive scan.
HomeDwellMin
Minimal duration in ms how long we dwell during a background scan on our home-channel. (default is 250 for AP-Mode and 50 for Client-Mode)
HomeDwellMax
Maximal duration in ms how long we dwell during a background scan on our home-channel.
Interval
Time in ms between each scan. (default is 1h for AP-Mode)
LastScan
Timestamp of the last finished scan.
ClientThreshold
Threshold in dBm above which the client mode background scan is active. Default is -70dBm.
ClientRoamProf
All scanning parameters for the client are summarized to profiles for the most used roaming behaviors. fast : client roams if signal is not strong enough for higher data rates normal: default roaming parameters slow : client roams if signal is weak no : client roams only when it is disassociated custom: user can change roaming parameter

MIB Reference to Software Version 10.2.12 generated on 2023/08/29. Provided by webmaster@bintec-elmeg.com Copyright ©2023 by bintec elmeg GmbH